org.h2.result

## Class ResultWithGeneratedKeys

- java.lang.Object
- - org.h2.result.ResultWithGeneratedKeys

Direct Known Subclasses:
  ResultWithGeneratedKeys.WithKeys

    public class ResultWithGeneratedKeys
    extends java.lang.Object

Result of update command with optional generated keys.

### Nested Class Summary

Nested Classes
`static class` `ResultWithGeneratedKeys.WithKeys` Result of update command with generated keys;

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`ResultInterface` `getGeneratedKeys()` Returns generated keys, or `null`.
`long` `getUpdateCount()` Returns update count.
`static ResultWithGeneratedKeys` `of(long updateCount)` Returns a result with only update count.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### of

    public static ResultWithGeneratedKeys of(long updateCount)

Returns a result with only update count.

Parameters:
  `updateCount` - update count
Returns:
  the result.

#### getGeneratedKeys

    public ResultInterface getGeneratedKeys()

Returns generated keys, or `null`.

Returns:
  generated keys, or `null`

#### getUpdateCount

    public long getUpdateCount()

Returns update count.

Returns:
  update count